Subject: RE: bug#6385: A slightly less aggressive fit-window-to-buffer

From: "Drew Adams" <[email-masked]>
Date: Sun, 13 Jun 2010 05:39:26 -0700

>  > Is there a simple way to prevent deletion of other windows 
>  > when using `fit-window-to-buffer'? So far, I've just been
>  > let-binding `min-window-height' to 1 around the call.
>  > Other suggestions welcome.
> 
> I don't know of a simple way to prevent deletion of windows when using
> `enlarge-window'.  The problems with `fit-window-to-buffer' are just a
> special case of that.

There doesn't seem to be a problem before Emacs 23. Maybe there is a problem,
theoretically, but I haven't encountered one. What about returning to the pre-23
code?

What are your thoughts about let-binding `min-window-height'? What are the cases
where that won't fix the problem?

Thx.